Release Date:
April 21, 2022

Version:
.NET Framework 3.5 and 4.7.2

The April 21, 2022 update for Windows 10, version 1809 and Windows Server, version 2019 includes cumulative reliability improvements in .NET Framework 3.5 and 4.7.2. We recommend that you apply this update as part of your regular maintenance routines. Before you install this update, see the Prerequisites and Restart requirement sections.

Summary

Security improvements

There are no new security improvements in this release. This update is cumulative and contains all previously released security improvements.

Quality and reliability improvements

DS1

- Addresses an issue where 3rd party .NET apps using certain System.DirectoryServices APIs crash with an Access Violation (0xC0000005).

1Directory Services (DS)

Additional information about this update

The following articles contain additional information about this update as it relates to individual product versions.

  • 5012796 Description of the Cumulative Update Preview for .NET Framework 3.5, 4.7.2 and 4.8 for Windows 10, version 1809 and Windows Server, version 2019 (KB5012796)

Known issues in this update

Microsoft is not currently aware of any issues in this update.

How to get this update

Install this update

Release Channel

Available

Next Step

Windows Update and Microsoft Update

Yes

To download and install this update, go to Settings > Update & Security > Windows Update, and then select Check for updates.

Windows Update for Business

No

None. These changes will be included in the next security update to this channel. For more information about Windows Update for Business go to the Windows Update for Business website.

Microsoft Update Catalog

Yes

To get the standalone package for this update, go to the Microsoft Update Catalog website.

Windows Server Update Services (WSUS)

No

You can import this update into WSUS manually via 5012796. See the Microsoft Update Catalog for instructions.

File information

For a list of the files that are provided in this update, download the file information for cumulative update.

Prerequisites

To apply this update, you must have .NET Framework 3.5 or 4.7.2 installed.

Restart requirement

You must restart the computer after you apply this update if any affected files are being used. We recommend that you exit all .NET Framework-based applications before you apply this update.

How to obtain help and support for this update

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

What affected your experience?

Thank you for your feedback!

×